# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields


class apply_product(osv.osv):
    _name = 'apply.product'
    _columns = {
        'name': fields.char('name id', size=30),
        'product_id': fields.many2one('product.product', 'Product', required=True),
        'year_ids2': fields.many2one('aaia.year', 'Year Name', required=False),
        'year_ids': fields.many2many('aaia.year', 'product_year_rel', 'product_id', 'year_id', 'Year'),
        'make_ids': fields.many2many('aaia.make', 'product_make_rel', 'product_id', 'make_id', 'Make'),
        'model_ids': fields.many2many('aaia.model', 'product_model_rel', 'product_id', 'model_id', 'Model'),
        'engine_ids': fields.many2many('aaia.enginebase', 'product_enginebase_rel', 'product_id', 'enginebase_id', 'Engine')
    }
apply_product()

